#ifndef CONF_H
#define CONF_H

#include "udisks.h"

struct user_command {
    const char *title;
    const char **argv;
    const char *filename;
    GtkMenuItem *menu_item;
    int argc;
    int line;

    int need_mountpoint:1;
    int need_dev:1;
    int need_native_path:1;
};

extern struct user_command *menu_commands;
extern int sglclick_command_idx;
extern int dblclick_command_idx;

void load_conf(int *argc, char **argv);

#define user_command_enabled(v,u) ( \
         (!(u)->need_dev || (v)->dev) && \
         (!(u)->need_native_path || (v)->native_path) && \
         (!(u)->need_mountpoint || ((v)->type==UDISKS_FILESYSTEM && (v)->d.fs.mountpoint)) \
        )


int exec_command(udisks_volume *v, struct user_command *cmd);

#endif
